import request from '@/utils/request'

// 查询用户展示字段定义管理列表
export function listCOLUMN(query) {
  return request({
    url: '/system/COLUMN/list',
    method: 'get',
    params: query
  })
}

// 查询用户展示字段定义管理详细
export function getCOLUMN(ID) {
  return request({
    url: '/system/COLUMN/' + ID,
    method: 'get'
  })
}

// 新增用户展示字段定义管理
export function addCOLUMN(data) {
  return request({
    url: '/system/COLUMN',
    method: 'post',
    data: data
  })
}

// 修改用户展示字段定义管理
export function updateCOLUMN(data) {
  return request({
    url: '/system/COLUMN',
    method: 'put',
    data: data
  })
}

// 删除用户展示字段定义管理
export function delCOLUMN(ID) {
  return request({
    url: '/system/COLUMN/' + ID,
    method: 'delete'
  })
}
// 启用
export function enabled(id) {
  return request({
    url: '/system/COLUMN/enable/' + id,
    method: 'delete'
  })
}

// 禁用
export function disabled(id) {
  return request({
    url: '/system/COLUMN/disable/' + id,
    method: 'delete'
  })
}

// 状态修改
export function changeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/COLUMN/changeStatus',
    method: 'put',
    data: data
  })
}